# Терминальный сервер Astra Linux STAL

## Инсталляция пакета
dpkg -i stal-0.3.al17.x64.deb

## Настройка
Настройка заключается в редактировании конфигурационного файла /etc/stal/stal_service.json  и /etc/stal/stal_proxy.json 

## Описание параметров proxy

| параметр       | тип | описание
|:---------------|:----|:---------
| debug:level    | s   | уровень отладки debug, info, none
| listen:port    | i   | сервисный порт доступа, по умолчанию 3389
| listen:timeout | i   | таймаут ожидания клиентского подключения в сек, по умолчанию 10
| unix:socket    | s   | формат клиентского proxy сокета, по умолчанию "/var/tmp/proxy_%{session}"

## Описание параметров service

| параметр         | тип | описание
|:-----------------|:----|:---------
| debug:level      | s   | уровень отладки debug, info, none
| display:min      | i   | 101,
| display:max      | i   | 181,
| runtime:dir      | s   | рабочий каталог сервиса, по умолчанию "/run/stal"
| runtime:xdg      | s   | XDG каталог сессии, по умолчанию "/run/user/%{uid}"
| xvfb:path        | s   | путь запуска X11 сервера, по умолчанию "/usr/bin/Xvfb"
| xvfb:args        | as  | список аргументов X11 сервера, возможны подстановки служебных значений: %{display}, %{authfile}, %{depth}
| xvfb:sock        | s   | формат сокета для X11 сервера, по умолчанию "/tmp/.X11-unix/X%{display}"
| pam:service      | s   | наименование сервиса доступа PAM, по умолчанию "stal"
| xauth:group      | s   | группа на доступ к файлам X11 authfile, по умолчанию "stal-xauth"
| dbus:group       | s   | группа доступа на шину DBus, по умолчанию "stal-dbus"
| kerberos:realm   | s   | домен Kerberos, по молчанию "UVEON"
| session:path     | s   | команда запуска сессии, по умолчанию "/usr/bin/fly-wm"
| session:args     | as  | список аргументов для команды сессии
| session:programs | s   | json файл списка разрешенных программ для режима seamless
| session:setxkbmap| as  | автоматическая загрузка setxkbmap в сессию (если определен)
| x11rdp:path      | s   | путь запуска RDP транспорта, по умолчанию "/usr/bin/freerdp-shadow-cli"
| x11rdp:args      | as  | список аргументов для команды RDP транспортаб возможны подстановки служебных значений: %{socket}, %{display}, %{authfile}, %{home}

## Самостоятельная сборка из исходного кода
Для сборки необходимы пакеты:

- libdbus-1-dev, libdbus-c++-dev
- libpam-dev, libaudit-dev
- libjsoncpp-dev
- libx11-xcb-dev, libxcb-shm0-dev, libxcb-damage0-dev, libxcb-xtest0-dev
- cmake, pkg-config, g++

Зарегистрировать шину ru.uveon.stal в системе, для этого нужно создать файл доступа
/etc/dbus-1/system.d/ru.uveon.stal.conf либо /usr/share/dbus-1/system.d/ru.uveon.stal.conf.
